[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridColumns.Clear

Clears all items in the collection.

## Declaration

Source position: grids.pas line 662

`public procedure TGridColumns.Clear;`

## Description

Clear calls BeginUpdate to suppress notifications when items are removed from the collection. It also calls EndUpdate when all items have been removed in the method. Clear calls the inherited method to remove the items in the collection.

## See also

TCollection.Clear